#import "@preview/chic-hdr:0.4.0": *
#import "template.typ"

#show: doc => template.phd(doc)

#include "cover.typ"

#include "abstracts/main.typ"

#pagebreak()
#include "acknowledgments.typ"

#pagebreak()

#[
  #set par(first-line-indent: 0em, justify: true, leading: 1em)
  #outline(indent: true, depth: 3)
]

#include "introduction/main.typ"

#show: chic.with(
  odd: (
    chic-footer(
      right-side: chic-page-number(),
    ),
    chic-header(
      right-side: context {
        [ #counter(heading).display((..args) => {
            let arr = args.pos()
            if arr.len() == 1 {
              arr.at(0)
            } else {
              str(arr.at(0)) + "." + str(arr.at(1))
            }
          })
          #chic-heading-name(fill: true, level: 2, dir: "prev") ]
      },
    ),
    chic-separator(1pt),
    chic-offset(7pt),
    chic-height(1.5cm)
  ),
  even: (
    chic-footer(
      left-side: chic-page-number(),
    ),
    chic-header(
      left-side: context {
        [ Chapter #counter(heading).get().at(0) #chic-heading-name(fill: true, level: 1, dir: "prev") ]
      },
    ),
    chic-separator(1pt),
    chic-offset(7pt),
    chic-height(1.5cm)
  ),
)

#include "foreword/main.typ"

#include "related-work/main.typ"

#include "preliminary-work/main.typ"

#include "dash-3d/main.typ"

#include "mobile/main.typ"

#show: doc => { set page(header: [], footer: []); doc }

#pagebreak()
#bibliography("bib.bib", style: "chicago-author-date")

#pagebreak()
#include "abstracts/fourth.typ"

